hpp-corbaserver: hpp::corbaServer::ObjectMap Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
hpp::corbaServer::ObjectMap Class Reference

`#include <hpp/corbaserver/object-map.hh>`

## Classes
struct | PolyhedronData

## Public Member Functions
void | createBox (const std::string boxName, value_type x, value_type y, value_type z)
void | createSphere (const std::string name, value_type radius)
void | createCylinder (const std::string name, value_type radius, value_type length)
void | createPolyhedron (const std::string polyhedronName)
std::size_t | addPoint (const std::string polyhedronName, value_type x, value_type y, value_type z)
std::size_t | addTriangle (const std::string polyhedronName, std::size_t pt1, std::size_t pt2, std::size_t pt3)
CollisionGeometryPtr_t | geometry (const std::string name)

## Protected Types
enum | GeomType { Shape = 1 , Polyhedron = 2 , BothGeomType = 3 }
enum | ThrowType { NoThrow , ThrowIfItExists , ThrowIfItDoesNotExist }
typedef std::map< std::string, PolyhedronData > | PolyhedronMap_t
typedef std::map< std::string, CollisionGeometryPtr_t > | ShapeMap_t

## Protected Member Functions
template<GeomType geomType, ThrowType throwType>
bool | nameExists (const std::string &name) const

## Protected Attributes
ShapeMap_t | shapeMap_
| Map of basic shapes.
PolyhedronMap_t | polyhedronMap_
| Map of polyhedra in construction.

## Member Typedef Documentation

## ◆ PolyhedronMap_t

typedef std::map<std::string, PolyhedronData> hpp::corbaServer::ObjectMap::PolyhedronMap_t
| protected

## ◆ ShapeMap_t

typedef std::map<std::string, CollisionGeometryPtr_t> hpp::corbaServer::ObjectMap::ShapeMap_t
| protected

## Member Enumeration Documentation

## ◆ GeomType

enum hpp::corbaServer::ObjectMap::GeomType
| protected

Enumerator
Shape |
Polyhedron |
BothGeomType |

## ◆ ThrowType

enum hpp::corbaServer::ObjectMap::ThrowType
| protected

Enumerator
NoThrow |
ThrowIfItExists |
ThrowIfItDoesNotExist |

## Member Function Documentation

## ◆ addPoint()

std::size_t hpp::corbaServer::ObjectMap::addPoint | ( | const std::string | polyhedronName,
|  | value_type | x,
|  | value_type | y,
|  | value_type | z
| ) |  |

## ◆ addTriangle()

std::size_t hpp::corbaServer::ObjectMap::addTriangle | ( | const std::string | polyhedronName,
|  | std::size_t | pt1,
|  | std::size_t | pt2,
|  | std::size_t | pt3
| ) |  |

## ◆ createBox()

void hpp::corbaServer::ObjectMap::createBox | ( | const std::string | boxName,
|  | value_type | x,
|  | value_type | y,
|  | value_type | z
| ) |  |

## ◆ createCylinder()

void hpp::corbaServer::ObjectMap::createCylinder | ( | const std::string | name,
|  | value_type | radius,
|  | value_type | length
| ) |  |

## ◆ createPolyhedron()

void hpp::corbaServer::ObjectMap::createPolyhedron | ( | const std::string | polyhedronName | ) |

## ◆ createSphere()

void hpp::corbaServer::ObjectMap::createSphere | ( | const std::string | name,
|  | value_type | radius
| ) |  |

## ◆ geometry()

CollisionGeometryPtr_t hpp::corbaServer::ObjectMap::geometry | ( | const std::string | name | ) |

## ◆ nameExists()

template<GeomType geomType, ThrowType throwType>

bool hpp::corbaServer::ObjectMap::nameExists | ( | const std::string & | name | ) | const
| protected

## Member Data Documentation

## ◆ polyhedronMap_

PolyhedronMap_t hpp::corbaServer::ObjectMap::polyhedronMap_
| protected

Map of polyhedra in construction.

## ◆ shapeMap_

ShapeMap_t hpp::corbaServer::ObjectMap::shapeMap_
| protected

Map of basic shapes.

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/object-map.hh